# RPM specfile for libcapplet module
# Generated Sun Sep 16 21:02:47 2001 GMT by Ximian build system
# $Id: bb_do,v 1.127 2001/08/15 19:50:38 mike Exp $
# from $Id: helix-build.conf,v 1.4 2001/07/10 19:57:53 alex Exp $

%define nam	libcapplet
%define ver	1.5.5

Name:     	libcapplet
Version: 	1.5.5
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Source0:	libcapplet-1.5.5.tar.gz
Summary:	Library for Gnome Control Center applets
Group:		System Environment/Libraries
Requires:	glib >= 1.2.8
Requires:	libcapplet >= 1.5.5

%description
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%package -n libcapplet-devel
Summary:	Library for Gnome Control Center applets - Development
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}

%description -n libcapplet-devel
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files -n libcapplet-devel
%defattr(-, root, root)
/usr/lib/*a
/usr/lib/lib*.so
/usr/lib/*.sh
/usr/include/*.h
/usr/lib/pkgconfig/*.pc
/usr/share/locale/*/LC_MESSAGES/libcapplet.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libcapplet-1.5.5
    ;;
all)
%setup  -q -n libcapplet-1.5.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
